public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jay Faulkner" <jayf@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/icingaweb2-module-director/
Date: Wed, 02 Apr 2025 03:18:27 +0000 (UTC)	[thread overview]
Message-ID: <1743563876.eb2db5be531859a475e94a68ff3d6376c0dc799e.jayf@gentoo> (raw)

commit:     eb2db5be531859a475e94a68ff3d6376c0dc799e
Author:     Anton Fischl <github <AT> fischl-online <DOT> de>
AuthorDate: Tue Apr  1 21:10:05 2025 +0000
Commit:     Jay Faulkner <jayf <AT> gentoo <DOT> org>
CommitDate: Wed Apr  2 03:17:56 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb2db5be

www-apps/icingaweb2-module-director: add 1.11.4

Bug: https://bugs.gentoo.org/953028
Signed-off-by: Anton Fischl <github <AT> fischl-online.de>
Signed-off-by: Jay Faulkner <jayf <AT> gentoo.org>

 www-apps/icingaweb2-module-director/Manifest       |  1 +
 .../icingaweb2-module-director-1.11.4.ebuild       | 71 ++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/www-apps/icingaweb2-module-director/Manifest b/www-apps/icingaweb2-module-director/Manifest
index d785fb822d0e..38901d48af4a 100644
--- a/www-apps/icingaweb2-module-director/Manifest
+++ b/www-apps/icingaweb2-module-director/Manifest
@@ -1 +1,2 @@
 DIST icingaweb2-module-director-1.11.1.tar.gz 3468031 BLAKE2B 9c532a1c940c18e3dfa6961aa0734256a71d5431e1439f0bb3e9099772c05896e387885164e77ad4710e1ebbebbef8c160b46448945312aa37dd72924b12c03e SHA512 8fe55c71518693cfc1f67cf5b9ef7396686cf94b6c7c8cc9efbc8dd855ba2f81d05611bc082acbbcac0046aab7bc94668442e5ee738f1b731958c9e5e44212e9
+DIST icingaweb2-module-director-1.11.4.tar.gz 3472847 BLAKE2B 64a379d24b486a06cdf1eefaa461bd921deba019cca6224fdfa23ce3c095f1d0a134beef440cde097bc42587372c2dde16bd5ac2e787a72988a1a1c63ece6fdd SHA512 67d55c278378e0576cb5ff66343d159b2fbb0a96b2528b8dab7e152d8a1ffcd9bfa74e1a94de18d0836536e6f5bc896d129c71d3670470085f2599fef5ff9c5e

diff --git a/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.11.4.ebuild b/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.11.4.ebuild
new file mode 100644
index 000000000000..823f14c6a895
--- /dev/null
+++ b/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.11.4.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit eapi9-ver systemd
+
+DESCRIPTION="Icinga Web 2 plugin for configuration"
+HOMEPAGE="https://github.com/Icinga/icingaweb2-module-director/"
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Icinga/${PN}.git"
+else
+	KEYWORDS="~amd64 ~x86"
+	SRC_URI="https://codeload.github.com/Icinga/${PN}/tar.gz/v${PV} -> ${P}.tar.gz"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+# Dependencies according to
+# https://github.com/Icinga/icingaweb2-module-director/blob/master/doc/02-Installation.md.d/From-Source.md
+IUSE="php_targets_php8-2 php_targets_php8-3"
+
+PHP_DEPEND="
+	php_targets_php8-2? ( dev-lang/php:8.2[curl,iconv,pcntl,posix,sockets] )
+	php_targets_php8-3? ( dev-lang/php:8.3[curl,iconv,pcntl,posix,sockets] )
+"
+DEPEND="
+	acct-group/icingaweb2
+	acct-user/icingadirector
+"
+RDEPEND="
+	${PHP_DEPEND}
+	${DEPEND}
+	>=www-apps/icingaweb2-module-incubator-0.22.0
+	>=dev-libs/icinga-php-library-0.13.0
+	>=dev-libs/icinga-php-thirdparty-0.12.0
+	>=www-apps/icingaweb2-2.9.0
+"
+
+src_install() {
+	insinto /usr/share/icingaweb2/modules/${PN##*-}/
+	doins -r .
+
+	exeinto /usr/share/icingaweb2/bin/
+	doexe "${FILESDIR}"/icinga-director.sh
+
+	doinitd "${FILESDIR}"/director
+
+	keepdir /var/lib/${PN}
+	fowners icingadirector:icingaweb2 /var/lib/${PN}
+	fperms 0750 /var/lib/${PN}
+	sed -e "s|/usr/bin/icingacli|/usr/share/icingaweb2/bin/icingacli|g" \
+		contrib/systemd/icinga-director.service > "${T}"/icinga-director.service \
+		|| die "failed to patch icinga-director.service"
+	systemd_dounit "${T}"/icinga-director.service
+}
+
+pkg_postinst() {
+	if ver_replacing -lt "1.11.0"; then
+		ewarn "You are upgrading from ${oldver} to ${PVR}"
+		ewarn "please read https://github.com/Icinga/icingaweb2-module-director/blob/master/doc/05-Upgrading.md#upgrade-to-1.11.x"
+		ewarn "for breaking changes"
+		ewarn
+		ewarn "Also, don't forget to upgrade database schema."
+		ewarn "Otherwise icingaweb2-module-director will not work!"
+		ewarn "(Web GUI => Configuration => Modules => director => Configuration)"
+		ewarn
+	fi
+}


             reply	other threads:[~2025-04-02  3:18 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-04-02  3:18 Jay Faulkner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-02  3:34 [gentoo-commits] repo/gentoo:master commit in: www-apps/icingaweb2-module-director/ Jay Faulkner
2025-04-02  3:18 Jay Faulkner
2025-02-15  9:29 Ulrich Müller
2024-03-16  9:26 Joonas Niilola
2024-03-16  9:26 Joonas Niilola
2024-01-11 14:06 Joonas Niilola
2024-01-11 14:06 Joonas Niilola
2023-09-13  9:26 David Seifert
2023-09-13  9:26 David Seifert
2023-09-13  9:26 David Seifert
2022-09-09  4:48 Matthew Thode
2022-08-09  1:10 Matthew Thode
2022-07-07 15:56 Matthew Thode
2022-04-05 19:03 Brian Evans
2022-03-03 18:17 Jakov Smolić
2022-03-03 18:17 Jakov Smolić
2021-12-29 17:11 Matthew Thode
2021-12-28 21:25 Matthew Thode
2021-08-06 15:13 Matthew Thode
2021-07-05 20:02 Matthew Thode
2021-06-08  2:56 Matthew Thode
2019-04-25  1:11 Matthew Thode
2019-03-24 18:37 Matthew Thode
2018-06-15 22:03 Matt Thode
2017-10-04  9:17 Michał Górny
2016-06-30 22:57 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1743563876.eb2db5be531859a475e94a68ff3d6376c0dc799e.jayf@gentoo \
    --to=jayf@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox